## ctk 0.9.4+bzr70

=== debian/changelog ===
ctk (0.9.4+bzr70) jaunty; urgency=low

  * Latest bzr

 -- Neil J. Patel <neil.patel@canonical.com>  Tue, 21 Jul 2009 14:28:16 +0100

ctk (0.9.4+bzr67) jaunty; urgency=low

  * Latest bzr

 -- Neil J. Patel <neil.patel@canonical.com>  Mon, 20 Jul 2009 08:52:10 +0100

ctk (0.9.4+bzr65) jaunty; urgency=low

  * Latest bzr

 -- Neil J. Patel <neil.patel@canonical.com>  Sun, 19 Jul 2009 17:13:49 +0100

ctk (0.9.4+bzr64) jaunty; urgency=low

  * Latest bzr

 -- Neil J. Patel <neil.patel@canonical.com>  Sun, 19 Jul 2009 16:26:18 +0100

ctk (0.9.4+bzr63) jaunty; urgency=low

  * Latest release

 -- Neil J. Patel <neil.patel@canonical.com>  Sun, 19 Jul 2009 13:00:51 +0100

ctk (0.9.4) jaunty; urgency=low

  * New release

 -- Neil J. Patel <neil.patel@canonical.com>  Tue, 23 Jun 2009 11:41:37 +0100

ctk (0.9.3+bzr59) jaunty; urgency=low

  * Some tooltip support

 -- Neil J. Patel <neil.patel@canonical.com>  Sun, 21 Jun 2009 15:54:47 +0100

ctk (0.9.3) jaunty; urgency=low

  * New release

 -- Neil J. Patel <neil.patel@canonical.com>  Mon, 15 Jun 2009 17:01:51 +0100

ctk (0.9.2) jaunty; urgency=low

  * New release

 -- Neil J. Patel <neil.patel@canonical.com>  Fri, 12 Jun 2009 16:34:09 +0100

ctk (0.9.1+bzr51ubuntu1) jaunty; urgency=low

  * Update to bzr trunk

 -- Neil J. Patel <neil.patel@canonical.com>  Thu, 11 Jun 2009 09:23:02 +0100

ctk (0.9.1+bzr42) jaunty; urgency=low

  * Update to the latest clutter and clutter-gtk (master)

 -- Neil J. Patel <neil.patel@canonical.com>  Mon, 08 Jun 2009 23:22:47 +0100

ctk (0.9.1+bzr35) jaunty; urgency=low

  * Got the versioning wrong, try again with +

 -- Neil J. Patel <neil.patel@canonical.com>  Sun, 07 Jun 2009 09:35:18 +0100

ctk (0.9.1~bzr35) jaunty; urgency=low

  * Enable shave
  * Enable stricter compile flags

 -- Neil J. Patel <neil.patel@canonical.com>  Sat, 06 Jun 2009 14:36:08 +0100

ctk (0.9.1) jaunty; urgency=low

  * Cleaned up autofoo to behave more like a library than a program
  * Cleaned up packaging to do the same

 -- Neil J. Patel <neil.patel@canonical.com>  Sat, 06 Jun 2009 14:04:13 +0100

libctk-1.0 (0.2.1ubuntu1) jaunty; urgency=low

  * Rebuild

 -- Neil J. Patel <neil.patel@canonical.com>  Fri, 05 Jun 2009 11:31:01 +0100

libctk-1.0 (0.2.1) jaunty; urgency=low

  * Enable -fPIC for amd64

 -- Neil J. Patel <neil.patel@canonical.com>  Fri, 05 Jun 2009 10:06:40 +0100

libctk-1.0 (0.2~bzr31) jaunty; urgency=low

  * Fix some things in the context menu signal

 -- Neil J. Patel <neil.patel@canonical.com>  Thu, 04 Jun 2009 23:14:53 +0100

libctk-1.0 (0.2~bzr29ubuntu1) jaunty; urgency=low

  * 0.2 Release

 -- Neil J. Patel <neil.patel@canonical.com>  Thu, 04 Jun 2009 19:29:23 +0100

libctk-1.0 (0.1~bzr17) jaunty; urgency=low

  * Major fixes

 -- Neil J. Patel <neil.patel@canonical.com>  Mon, 11 May 2009 18:47:34 +0100

libctk-1.0 (0.1~bzr16) jaunty; urgency=low

  * Compile with some more library flags

 -- Neil J. Patel <neil.patel@canonical.com>  Mon, 11 May 2009 16:37:37 +0100

libctk-1.0 (0.1~bzr14-ppa1) jaunty; urgency=low

  * Link to the library properly
  * Add all the headers to ctk.h

 -- Neil J. Patel <neil.patel@canonical.com>  Mon, 11 May 2009 12:33:37 +0100

libctk-1.0 (0.1~bzr13-ppa1) jaunty; urgency=low

  * Import and renaming of all the widgets

 -- Neil J. Patel <neil.patel@canonical.com>  Sun, 10 May 2009 16:21:54 +0100

libctk-1.0 (0.1) jaunty; urgency=low

  * Initial release.

 -- Neil J. Patel <neil.patel@canonical.com>  Fri, 08 May 2009 16:33:58 +0100
